org.apache.jmeter.functions

## Enum ChangeCase.ChangeCaseMode

- java.lang.Object
- - java.lang.Enum<ChangeCase.ChangeCaseMode>
  - - org.apache.jmeter.functions.ChangeCase.ChangeCaseMode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ChangeCase.ChangeCaseMode>
  Enclosing class:
    ChangeCase

      public static enum ChangeCase.ChangeCaseMode
      extends java.lang.Enum<ChangeCase.ChangeCaseMode>

  ChangeCase Modes Modes for different cases

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CAPITALIZE`
    `LOWER`
    `UPPER`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getName()`
    `static ChangeCase.ChangeCaseMode` | `typeOf(java.lang.String mode)` Get ChangeCaseMode by mode
    `static ChangeCase.ChangeCaseMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ChangeCase.ChangeCaseMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UPPER

          public static final ChangeCase.ChangeCaseMode UPPER

    - #### LOWER

          public static final ChangeCase.ChangeCaseMode LOWER

    - #### CAPITALIZE

          public static final ChangeCase.ChangeCaseMode CAPITALIZE

  - ### Method Detail

    - #### values

          public static ChangeCase.ChangeCaseMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ChangeCase.ChangeCaseMode c : ChangeCase.ChangeCaseMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ChangeCase.ChangeCaseMode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getName

          public java.lang.String getName()

    - #### typeOf

          public static ChangeCase.ChangeCaseMode typeOf(java.lang.String mode)

      Get ChangeCaseMode by mode
      Parameters:
        `mode` - Change new case mode
      Returns:
        relevant ChangeCaseMode

Copyright © 1998-2018 Apache Software Foundation. All Rights Reserved.